Person Object
An account may have more than one user accessing it; therefore, each user must have their own registration to segregate actions in joint accounts. The information cited below must follow the established standards, but any fields may be added to the account data if necessary.
Person Object Definition
Request Body
{
"person_id": "12345678",
"document_number": "111.111.111-11",
"registration_date": "2019-12-11T11:37:15.12-03:00",
"person_data": {
"name": "Joao da Silva",
"email": "person@email.com",
"phone": {
"number": "999999999",
"international_dial_code": "55",
"area_code": "11"
}
}
}
All information exchanges regarding a person use the following definition for this object. In some cases, to facilitate implementation and reduce data flow between parties, some information may be omitted.
| nome | tipo | descrição |
|---|---|---|
| person_id | string | Person identifier. It is essential that this number be unique for each person (mandatory) |
| document_number | string | Document number, which can be CPF or CNPJ with punctuation. |
| registration_date | datetime | Date and time of the person's registration associated with the account, with timezone. (mandatory) |
| person_data | object | Object that may contain any data regarding the person. However, if it contains the name name, email email, and phone phone (with phone being an object containing number, international_dial_code, and area_code), all cited objects must be of the string type. |
Create a Person
Request Body
{
"person_id": "12345678",
...
}
Response Body
{
"person_id": "12345678",
"document_number": "111.111.111-11",
"registration_date": "2019-12-11T11:37:15.12-03:00",
"person_data": {
"name": "Joao da Silva",
"email": "person@email.com",
"phone": {
"number": "999999999",
"international_dial_code": "55",
"area_code": "11"
}
}
}
To create a person, simply send a Person type object to the following endpoint:
POST https://api.caas.qitech.app/device_manager/account/{account_id}/person